Package org.etsi.uri._01903.v1_3

# Class ObjectIdentifier

java.lang.Object
org.etsi.uri._01903.v1_3.ObjectIdentifier

All Implemented Interfaces:
  `Serializable`

@Generated(value="com.sun.tools.xjc.Driver", date="2025-09-16T05:08:50+02:00", comments="JAXB RI v4.0.5") public class ObjectIdentifier extends Object implements Serializable

Java class for ObjectIdentifierType complex type

.

The following schema fragment specifies the expected content contained within this class.

     <complexType name="ObjectIdentifierType">
       <complexContent>
         <restriction base="{http://www.w3.org/2001/XMLSchema}anyType">
           <sequence>
             <element name="Identifier" type="{http://uri.etsi.org/01903/v1.3.2#}IdentifierType"/>
             <element name="Description" type="{http://www.w3.org/2001/XMLSchema}string" minOccurs="0"/>
             <element name="DocumentationReferences" type="{http://uri.etsi.org/01903/v1.3.2#}DocumentationReferencesType" minOccurs="0"/>
           </sequence>
         </restriction>
       </complexContent>
     </complexType>

See Also:
  - Serialized Form

- ## Constructor Summary

  Constructors
  Constructor
  Description
  `ObjectIdentifier()`

- ## Method Summary

  Modifier and Type
  Method
  Description
  `String`
  `getDescription()`
  Gets the value of the description property.
  `DocumentationReferencesType`
  `getDocumentationReferences()`
  Gets the value of the documentationReferences property.
  `IdentifierType`
  `getIdentifier()`
  Gets the value of the identifier property.
  `void`
  `setDescription(String value)`
  Sets the value of the description property.
  `void`
  `setDocumentationReferences(DocumentationReferencesType value)`
  Sets the value of the documentationReferences property.
  `void`
  `setIdentifier(IdentifierType value)`
  Sets the value of the identifier property.

  ### Methods inherited from class java.lang.Object

  `equals, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

- ## Constructor Details

  - ### ObjectIdentifier

    public ObjectIdentifier()

- ## Method Details

  - ### getIdentifier

    public IdentifierType getIdentifier()
    Gets the value of the identifier property.
    Returns:
      possible object is `IdentifierType`

  - ### setIdentifier

    public void setIdentifier(IdentifierType value)
    Sets the value of the identifier property.
    Parameters:
      `value` - allowed object is `IdentifierType`

  - ### getDescription

    public String getDescription()
    Gets the value of the description property.
    Returns:
      possible object is `String`

  - ### setDescription

    public void setDescription(String value)
    Sets the value of the description property.
    Parameters:
      `value` - allowed object is `String`

  - ### getDocumentationReferences

    public DocumentationReferencesType getDocumentationReferences()
    Gets the value of the documentationReferences property.
    Returns:
      possible object is `DocumentationReferencesType`

  - ### setDocumentationReferences

    public void setDocumentationReferences(DocumentationReferencesType value)
    Sets the value of the documentationReferences property.
    Parameters:
      `value` - allowed object is `DocumentationReferencesType`